using System;
using System.Collections.Generic;
using System.Text;
using NET.MegaGrid;

namespace Demo
{
	class ConfigureGridLayout
	{
		public static void SetLayout(GridControl targetGrid, int iOption)
		{
			if (iOption == 0)
			{
				//Regular rectangle layout
				targetGrid.GridLayout = enumGridLayout.Lake_Baikal;
			}
			else if (iOption == 1)
			{
				//Lake Como - 1
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 10;
				targetGrid.MarginTopRight		= 10;
				targetGrid.MarginBottomLeft		= 0;
				targetGrid.MarginBottomRight	= 0;
			}
			else if (iOption == 2)
			{
				//Lake Como - 2
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 0;
				targetGrid.MarginTopRight		= 0;
				targetGrid.MarginBottomLeft		= 10;
				targetGrid.MarginBottomRight	= 10;
			}
			else if (iOption == 3)
			{
				//Lake Como - 3
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 10;
				targetGrid.MarginTopRight		= 0;
				targetGrid.MarginBottomLeft		= 0;
				targetGrid.MarginBottomRight	= 0;
			}
			else if (iOption == 4)
			{
				//Lake Como - 4
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 0;
				targetGrid.MarginTopRight		= 10;
				targetGrid.MarginBottomLeft		= 0;
				targetGrid.MarginBottomRight	= 0;
			}
			else if (iOption == 5)
			{
				//Lake Como - 5
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 0;
				targetGrid.MarginTopRight		= 0;
				targetGrid.MarginBottomLeft		= 10;
				targetGrid.MarginBottomRight	= 0;
			}
			else if (iOption == 6)
			{
				//Lake Como - 6
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 0;
				targetGrid.MarginTopRight		= 0;
				targetGrid.MarginBottomLeft		= 0;
				targetGrid.MarginBottomRight	= 10;
			}
			else if (iOption == 7)
			{
				//Lake Como - 7
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 10;
				targetGrid.MarginTopRight		= 0;
				targetGrid.MarginBottomLeft		= 0;
				targetGrid.MarginBottomRight	= 10;
			}
			else if (iOption == 8)
			{
				//Lake Como - 8
				targetGrid.GridLayout			= enumGridLayout.Lake_Como;
				targetGrid.MarginTopLeft		= 0;
				targetGrid.MarginTopRight		= 10;
				targetGrid.MarginBottomLeft		= 10;
				targetGrid.MarginBottomRight	= 0;
			}
			else if (iOption == 9)
			{
				//Lake Geneva - 1
				targetGrid.GridLayout			= enumGridLayout.Lake_Geneva;
				targetGrid.MarginTopLeft		= 5;
				targetGrid.MarginTopRight		= 15;
				targetGrid.MarginBottomLeft		= 15;
				targetGrid.MarginBottomRight	= 5;
				targetGrid.ArchHeight			= 20;
			}
			else if (iOption == 10)
			{
				//Lake Geneva - 2
				targetGrid.GridLayout			= enumGridLayout.Lake_Geneva;
				targetGrid.MarginTopLeft		= 10;
				targetGrid.MarginTopRight		= 10;
				targetGrid.MarginBottomLeft		= 10;
				targetGrid.MarginBottomRight	= 10;
				targetGrid.ArchHeight			= 17;
			}
			else if (iOption == 11)
			{
				//Lake Geneva - 3
				targetGrid.GridLayout			= enumGridLayout.Lake_Geneva;
				targetGrid.MarginTopLeft		= 15;
				targetGrid.MarginTopRight		= 5;
				targetGrid.MarginBottomLeft		= 5;
				targetGrid.MarginBottomRight	= 15;
				targetGrid.ArchHeight			= 12;
			}
			else if (iOption == 12)
			{
				//Lake Saimaa - 1
				targetGrid.GridLayout			= enumGridLayout.Lake_Saimaa;
				targetGrid.MarginTopLeft		= 5;
				targetGrid.MarginTopRight		= 15;
				targetGrid.MarginBottomLeft		= 15;
				targetGrid.MarginBottomRight	= 5;
				targetGrid.ArchHeight			= 20;
			}
			else if (iOption == 13)
			{
				//Lake Saimaa - 2
				targetGrid.GridLayout			= enumGridLayout.Lake_Saimaa;
				targetGrid.MarginTopLeft		= 10;
				targetGrid.MarginTopRight		= 10;
				targetGrid.MarginBottomLeft		= 10;
				targetGrid.MarginBottomRight	= 10;
				targetGrid.ArchHeight			= 17;
			}
			else if (iOption == 14)
			{
				//Lake Saimaa - 3
				targetGrid.GridLayout			= enumGridLayout.Lake_Saimaa;
				targetGrid.MarginTopLeft		= 15;
				targetGrid.MarginTopRight		= 5;
				targetGrid.MarginBottomLeft		= 5;
				targetGrid.MarginBottomRight	= 15;
				targetGrid.ArchHeight			= 12;
			}
			else if (iOption == 15)
			{
				//Moraine_Lake - 1
				targetGrid.GridLayout			= enumGridLayout.Moraine_Lake;
				targetGrid.MarginTopLeft		= 15;
				targetGrid.MarginTopRight		= 5;
				targetGrid.MarginBottomLeft		= 15;
				targetGrid.MarginBottomRight	= 5;
				targetGrid.BulgeSizeRatio		= 20;
				targetGrid.BulgePointLocationRatio = 50;
			}
			else if (iOption == 16)
			{
				//Moraine_Lake - 2
				targetGrid.GridLayout				= enumGridLayout.Moraine_Lake;
				targetGrid.MarginTopLeft			= 10;
				targetGrid.MarginTopRight			= 10;
				targetGrid.MarginBottomLeft			= 10;
				targetGrid.MarginBottomRight		= 10;
				targetGrid.BulgeSizeRatio			= 30;
				targetGrid.BulgePointLocationRatio	= 70;
			}
			else if (iOption == 17)
			{
				//Moraine_Lake - 3
				targetGrid.GridLayout				= enumGridLayout.Moraine_Lake;
				targetGrid.MarginTopLeft			= 15;
				targetGrid.MarginTopRight			= 5;
				targetGrid.MarginBottomLeft			= 15;
				targetGrid.MarginBottomRight		= 5;
				targetGrid.BulgeSizeRatio			= 17;
				targetGrid.BulgePointLocationRatio	= 35;
			}
			else if (iOption == 18)
			{
				//Plitvice_Lakes - 1
				targetGrid.GridLayout				= enumGridLayout.Plitvice_Lakes;
				targetGrid.MarginTopLeft			= 5;
				targetGrid.MarginTopRight			= 15;
				targetGrid.MarginBottomLeft			= 5;
				targetGrid.MarginBottomRight		= 15;
				targetGrid.BulgeSizeRatio			= 20;
				targetGrid.BulgePointLocationRatio	= 50;
			}
			else if (iOption == 19)
			{
				//Plitvice_Lakes - 2
				targetGrid.GridLayout				= enumGridLayout.Plitvice_Lakes;
				targetGrid.MarginTopLeft			= 10;
				targetGrid.MarginTopRight			= 10;
				targetGrid.MarginBottomLeft			= 10;
				targetGrid.MarginBottomRight		= 10;
				targetGrid.BulgeSizeRatio			= 30;
				targetGrid.BulgePointLocationRatio	= 70;
			}
			else if (iOption == 20)
			{
				//Plitvice_Lakes - 3
				targetGrid.GridLayout				= enumGridLayout.Plitvice_Lakes;
				targetGrid.MarginTopLeft			= 5;
				targetGrid.MarginTopRight			= 15;
				targetGrid.MarginBottomLeft			= 5;
				targetGrid.MarginBottomRight		= 15;
				targetGrid.BulgeSizeRatio			= 17;
				targetGrid.BulgePointLocationRatio	= 35;
			}
		}
	}
}
