Imports NET.MegaGrid

Public Class ConfigureGridLayout
    Public Shared Sub SetLayout(ByVal targetGrid As GridControl, ByVal iOption As Integer)
        If (iOption = 0) Then
            'Regular rectangle layout
            targetGrid.GridLayout = enumGridLayout.Lake_Baikal

        ElseIf (iOption = 1) Then
            'Lake Como - 1
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 0
            targetGrid.MarginBottomRight = 0

        ElseIf (iOption = 2) Then
            'Lake Como - 2
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 0
            targetGrid.MarginTopRight = 0
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 10

        ElseIf (iOption = 3) Then
            'Lake Como - 3
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 0
            targetGrid.MarginBottomLeft = 0
            targetGrid.MarginBottomRight = 0

        ElseIf (iOption = 4) Then
            'Lake Como - 4
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 0
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 0
            targetGrid.MarginBottomRight = 0

        ElseIf (iOption = 5) Then
            'Lake Como - 5
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 0
            targetGrid.MarginTopRight = 0
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 0

        ElseIf (iOption = 6) Then
            'Lake Como - 6
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 0
            targetGrid.MarginTopRight = 0
            targetGrid.MarginBottomLeft = 0
            targetGrid.MarginBottomRight = 10

        ElseIf (iOption = 7) Then
            'Lake Como - 7
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 0
            targetGrid.MarginBottomLeft = 0
            targetGrid.MarginBottomRight = 10

        ElseIf (iOption = 8) Then
            'Lake Como - 8
            targetGrid.GridLayout = enumGridLayout.Lake_Como
            targetGrid.MarginTopLeft = 0
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 0

        ElseIf (iOption = 9) Then
            'Lake Geneva - 1
            targetGrid.GridLayout = enumGridLayout.Lake_Geneva
            targetGrid.MarginTopLeft = 5
            targetGrid.MarginTopRight = 15
            targetGrid.MarginBottomLeft = 15
            targetGrid.MarginBottomRight = 5
            targetGrid.ArchHeight = 20

        ElseIf (iOption = 10) Then
            'Lake Geneva - 2
            targetGrid.GridLayout = enumGridLayout.Lake_Geneva
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 10
            targetGrid.ArchHeight = 17

        ElseIf (iOption = 11) Then
            'Lake Geneva - 3
            targetGrid.GridLayout = enumGridLayout.Lake_Geneva
            targetGrid.MarginTopLeft = 15
            targetGrid.MarginTopRight = 5
            targetGrid.MarginBottomLeft = 5
            targetGrid.MarginBottomRight = 15
            targetGrid.ArchHeight = 12

        ElseIf (iOption = 12) Then
            'Lake Saimaa - 1
            targetGrid.GridLayout = enumGridLayout.Lake_Saimaa
            targetGrid.MarginTopLeft = 5
            targetGrid.MarginTopRight = 15
            targetGrid.MarginBottomLeft = 15
            targetGrid.MarginBottomRight = 5
            targetGrid.ArchHeight = 20

        ElseIf (iOption = 13) Then
            'Lake Saimaa - 2
            targetGrid.GridLayout = enumGridLayout.Lake_Saimaa
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 10
            targetGrid.ArchHeight = 17

        ElseIf (iOption = 14) Then
            'Lake Saimaa - 3
            targetGrid.GridLayout = enumGridLayout.Lake_Saimaa
            targetGrid.MarginTopLeft = 15
            targetGrid.MarginTopRight = 5
            targetGrid.MarginBottomLeft = 5
            targetGrid.MarginBottomRight = 15
            targetGrid.ArchHeight = 12

        ElseIf (iOption = 15) Then
            'Moraine_Lake - 1
            targetGrid.GridLayout = enumGridLayout.Moraine_Lake
            targetGrid.MarginTopLeft = 15
            targetGrid.MarginTopRight = 5
            targetGrid.MarginBottomLeft = 15
            targetGrid.MarginBottomRight = 5
            targetGrid.BulgeSizeRatio = 20
            targetGrid.BulgePointLocationRatio = 50

        ElseIf (iOption = 16) Then
            'Moraine_Lake - 2
            targetGrid.GridLayout = enumGridLayout.Moraine_Lake
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 10
            targetGrid.BulgeSizeRatio = 30
            targetGrid.BulgePointLocationRatio = 70

        ElseIf (iOption = 17) Then
            'Moraine_Lake - 3
            targetGrid.GridLayout = enumGridLayout.Moraine_Lake
            targetGrid.MarginTopLeft = 15
            targetGrid.MarginTopRight = 5
            targetGrid.MarginBottomLeft = 15
            targetGrid.MarginBottomRight = 5
            targetGrid.BulgeSizeRatio = 17
            targetGrid.BulgePointLocationRatio = 35

        ElseIf (iOption = 18) Then
            'Plitvice_Lakes - 1
            targetGrid.GridLayout = enumGridLayout.Plitvice_Lakes
            targetGrid.MarginTopLeft = 5
            targetGrid.MarginTopRight = 15
            targetGrid.MarginBottomLeft = 5
            targetGrid.MarginBottomRight = 15
            targetGrid.BulgeSizeRatio = 20
            targetGrid.BulgePointLocationRatio = 50

        ElseIf (iOption = 19) Then
            'Plitvice_Lakes - 2
            targetGrid.GridLayout = enumGridLayout.Plitvice_Lakes
            targetGrid.MarginTopLeft = 10
            targetGrid.MarginTopRight = 10
            targetGrid.MarginBottomLeft = 10
            targetGrid.MarginBottomRight = 10
            targetGrid.BulgeSizeRatio = 30
            targetGrid.BulgePointLocationRatio = 70

        ElseIf (iOption = 20) Then
            'Plitvice_Lakes - 3
            targetGrid.GridLayout = enumGridLayout.Plitvice_Lakes
            targetGrid.MarginTopLeft = 5
            targetGrid.MarginTopRight = 15
            targetGrid.MarginBottomLeft = 5
            targetGrid.MarginBottomRight = 15
            targetGrid.BulgeSizeRatio = 17
            targetGrid.BulgePointLocationRatio = 35
        End If
    End Sub

End Class
